<template>
	<view class="container">
		<view class="ReflectBox">
			<view class="left_">提现金额 </view>
			<view class="right_">每日可提现一次</view>
		</view>
		<view class="OtherMoney" v-if="true">
			<span>￥</span>
			<input v-model="inputOtherM" @input="inputControl" placeholder="可提现金额3.00元"
				placeholder-class="placeholderinputOtherM" type="text" maxlength="6" />
			<span class="ALL">全部</span>
		</view>
		<view class="OtherMoney" v-if="false" style="color: #BFBFBF;font-weight: 500;">
			每日仅可提现一次，请明日再来。
		</view>
		<view class="bottomdiv">
			<view class="DepositID" @click="toDeposit(0)" v-bind:style="Money!=''?'':'opacity: 0.5 !important;'">
				<span>提现</span>
			</view>
			<view class="switchbankCard" @click="BackToMini('purchaseDetail')">提现记录</view>
		</view>
	</view>
</template>

<script>
	import keyboardPackage from "@/components/keyboard-package/keyboard-package.vue"
	import cityData from "@/common/js/city.js"
	var gHost = "https://" + window.location.host;
	if (window.location.protocol != "https:") {
		gHost = "https://fpdev.xiaopay.net";
	}
	export default {
		components: {

		},
		name: "Reflect",
		data() {
			return {
				Money: '',
				inputOtherM: '',
				ImgUrl: this.$ImgUrl,
			}
		},
		created: function() {

		},
		mounted: function() {

		},
		methods: {
			// 提现
			async toDeposit(value) {
				console.log(1111);
			},
			//返回小程序 跳转指定页面
			BackToMini(page) {
				if (page == 'UserMain' || page == 'personalCenter') {
					wx.miniProgram.switchTab({
						url: `/pages/${page}/main`,
					});
				} else {
					wx.miniProgram.redirectTo({
						url: `/pages/${page}/main`,
					});
				}
			},
			// 输入限制
			inputControl(obj, val) {
				console.log(obj, val);
				obj.value = obj.target.value
				obj.value = obj.value.replace(/[^\d.]/g, ""); //清除"数字"和"."以外的字符
				obj.value = obj.value.replace(/^\./g, ""); //验证第一个字符是数字而不是.
				obj.value = obj.value.replace(/\.{2,}/g, "."); //只保留第一个. 清除多余的.
				obj.value = obj.value.replace(".", "$#$").replace(/\./g, "").replace("$#$", "."); //只允许输入一个小数点
				obj.value = obj.value.replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3'); //只能输入两个小数
				obj.value = obj.value * 1 > 2000 ? 2000 : obj.value;
				this.Money = obj.value + '';
				this.ReflectMoney = obj.value + '';
				if (obj.value == '' || obj.value * 1 < 3) {
					$('.DepositID').addClass('DisaBledBtn');
				} else {
					$('.DepositID').removeClass('DisaBledBtn');
				}
			},
		}
	}
</script>

<style scoped lang="scss">
	html,
	body,
	page {
		width: 750rpx;
		background: linear-gradient(180deg, #FFFFFF 0%, #FAFAFA 100%);
	}

	.OtherMoney {
		display: flex;
		justify-content: flex-start;
		// color: #999999;
		// font-size: 28rpx;
		// font-family: PingFangSC-Regular, PingFang SC;
		// font-weight: 400;
		// color: #999999;
		// line-height: 40rpx;
		width: 686rpx;
		height: 100rpx;
		background: #F7F6FB;
		border-radius: 10rpx;
		margin: 0 auto;
		line-height: 100rpx;
		margin-top: 32rpx;
		padding-left: 26rpx;

		span {
			display: inline-block;
			font-size: 40rpx;
			font-family: PingFang SC;
			font-weight: bold;
			color: #000000;
		}

		input {
			height: 100%;
		}


		.ALL {
			position: absolute !important;
			font-size: 17rpx !important;
			font-family: PingFang SC;
			font-weight: bold !important;
			color: #129A5E !important;
			right: 31rpx !important;
		}
	}

	.ReflectBox {
		width: 680rpx;
		margin: 0 auto;
		display: flex;
		justify-content: space-between;
		height: 100rpx;
		line-height: 100rpx;

		.left_ {
			font-size: 36rpx;
			font-family: PingFang SC;
			font-weight: bold;
			color: #000000;
		}

		.right_ {
			font-size: 26rpx;
			font-family: PingFang SC;
			font-weight: 500;
			color: #888888;
		}

	}

	.bottomdiv {
		position: fixed;
		left: 0;
		right: 0;
		bottom: 80rpx;
	}

	.DepositID {
		width: 654rpx;
		height: 92rpx;
		background: #04BA73;
		border-radius: 8rpx;
		margin: 0 auto;
		text-align: center;
		bottom: 30rpx;

	}

	.DepositID span {
		height: 50rpx;
		font-size: 36rpx;
		font-family: PingFangSC-Medium, PingFang SC;
		font-weight: 500;
		color: #FFFFFF;
		line-height: 92rpx;
	}

	.switchbankCard {
		text-align: center;
		/* width: 205px; */
		// height: 28rpx;
		font-size: 26rpx;
		font-family: PingFang SC;
		font-weight: 500;
		text-decoration: underline;
		color: #268EF8;
		margin-top: 23rpx;
	}
</style>
